<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/skeleton/2.0.4/skeleton.min.css"
          integrity="sha512-EZLkOqwILORob+p0BXZc+Vm3RgJBOe1Iq/0fiI7r/wJgzOFZMlsqTa29UEl6v6U6gsV4uIpsNZoV32YZqrCRCQ=="
          crossorigin="anonymous" referrerpolicy="no-referrer" />
    <title>FTL TEMPLATE PARSER</title>
</head>

<body>
<div class="container">
    <h1>FTL TEMPLATE PARSER</h1>
    <hr />
    <div id="body">
        <h4>Upload Ftl template file</h4>
        <input type="file" id="ftlTemp" onchange="loadFileAsText('ftlTemp','ftlText')"><br>
        <label for="ftlText"></label><textarea id="ftlText" name="y" style="width:100%;height:150px;"></textarea>
        <h4>Upload Message to parse</h4>
        <input type="file" id="msg" onchange="loadFileAsText('msg','msgText')"><br>
        <label for="msgText"></label><textarea id="msgText" style="width:100%;height:150px;"></textarea>
    </div>
    <hr>
    <a id="upload" class="button button-primary u-full-width" type="button" onclick="post()">Upload</a>
    <!-- response -->
    <div id="responseBody" >
        <hr/>
        <h3>Output:</h3>
        <pre id="response"></pre>
        <a class="button u-full-width" onclick="copy()">Copy</a>
        <hr/>
    </div>
</div>
<script src="./app.js"></script>
</body>

</html>